<link href='{{ site.url }}/images/fav.png' rel='shortcut icon'>
<link href='{{ site.url }}/stylesheets/tachyons.min.css' rel='stylesheet' type='text/css' />
<link href='{{ site.url }}/stylesheets/style.css' rel='stylesheet' type='text/css' />
<link href='{{ site.url }}/stylesheets/syntax.css' rel='stylesheet' type='text/css' />

<link href="{{ site.url }}/fonts/fontawesome/css/fontawesome.min.css" rel="stylesheet">
<link href="{{ site.url }}/fonts/fontawesome/css/brands.min.css" rel="stylesheet">

<meta content='width=device-width, initial-scale=1.0, user-scalable=no' name='viewport'>
<meta content='text/html; charset=utf-8' http-equiv='content-type' />
{% if page.date %}
  <meta content='{{ site.url }}{{ page.url }}' property='og:url' />
  <meta content="article" property="og:type" />
{% else %}
  <meta content='{{ site.url }}' property='og:url' />
  <meta content="blog" property="og:type" />
{% endif %}

{% comment %}
	Note: see _plugin/og_img_property_checker.rb for infomation
	on how we enforce all the properties are given at front matter.
{% endcomment %}
{% if page.img %}
  <meta property="og:image" content="{{ site.url }}/{{ page.img }}" />
  <meta property="og:image:url" content="{{ site.url }}/{{ page.img }}" />
  <meta property="og:image:secure_url" content="{{ site.url }}/{{ page.img }}" />
  <meta property="og:image:width" content="{{ page.img-width }}" />
  <meta property="og:image:height" content="{{ page.img-height }}" />
  <meta property="og:image:type" content="{{ page.img-type }}">
{% endif %}

{% if page.description %}
  <meta content="{{ page.description }}" property="og:description" />
{% elsif page.date %}
  <meta content="{{ page.content | strip_html | strip_newlines | truncate: 120 }}" property='og:description' />
{% else %}
  <meta content="{{ site.description }}" property='og:description' />
{% endif %}
